// Copyright 2024 Bytedance Inc. All Rights Reserved.
// Author: tianlei.richard@qq.com (tianlei.richard)

#include <Eigen/Dense>

#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>

#include "spdlog/spdlog.h"
#include "spdlog/fmt/ostr.h" // github.com/gabime/spdlog/issues/1638

#include "rasterizer.h"
#include "triangle.h"

using namespace Eigen;
using namespace cv;

int main(int argc, char *argv[]) {

  const int width = 1280;
  const int height = 720;

  Triangle t{Triangle::PointType{1, 1, 0}, Triangle::PointType{3, 1, 0},
             Triangle::PointType{2, 4, 0}};

  Rasterizer rasterizer{width, height};
  rasterizer.rasterize(t);

  return 0;
}
